Commit 01e522f1 authored by Simon McVittie's avatar Simon McVittie
Browse files

CI: Update from dbus



Signed-off-by: Simon McVittie's avatarSimon McVittie <smcv@collabora.com>
parent 98785703
......@@ -31,6 +31,11 @@ NULL=
# Build system under test: autotools is the only option right now
: "${ci_buildsys:=autotools}"
# ci_distro:
# OS distribution in which we are testing
# Typical values: ubuntu, debian; maybe fedora in future
: "${ci_distro:=ubuntu}"
# ci_docker:
# If non-empty, this is the name of a Docker image. ci-install.sh will
# fetch it with "docker pull" and use it as a base for a new Docker image
......@@ -52,6 +57,12 @@ NULL=
# If yes, assume we can get root using sudo; if no, only use current user
: "${ci_sudo:=no}"
# ci_suite:
# OS suite (release, branch) in which we are testing.
# Typical values for ci_distro=debian: sid, jessie
# Typical values for ci_distro=fedora might be 25, rawhide
: "${ci_suite:=xenial}"
# ci_test:
# If yes, run tests; if no, just build
: "${ci_test:=yes}"
......@@ -117,7 +128,7 @@ case "$ci_buildsys" in
[ "$ci_test" = no ] || ${make} distcheck || maybe_fail_tests
${make} install DESTDIR=$(pwd)/DESTDIR
( cd DESTDIR && find . )
( cd DESTDIR && find . -ls )
if [ "$ci_sudo" = yes ] && [ "$ci_test" = yes ]; then
sudo ${make} install
......
......@@ -82,32 +82,37 @@ case "$ci_distro" in
$sudo apt-get -qq -y update
$sudo apt-get -qq -y install \
autoconf \
autoconf-archive \
automake \
autotools-dev \
build-essential \
ccache \
cmake \
dbus \
debhelper \
dh-autoreconf \
g++ \
gcc \
gnome-desktop-testing \
gtk-doc-tools \
libdbus-1-dev \
libexpat-dev \
libglib2.0-dev \
make \
sudo \
wget \
${NULL}
if [ "$ci_in_docker" = yes ]; then
# Add the user that we will use to do the build inside the
# Docker container, and let them use sudo
adduser --disabled-password user </dev/null
apt-get -y install sudo
adduser --disabled-password --gecos "" user
echo "user ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/nopasswd
chmod 0440 /etc/sudoers.d/nopasswd
fi
case "$ci_suite" in
(jessie)
(jessie|xenial)
# Debian 9's autoconf-archive is too old, and older
# gnome-common has files in common with it.
wget http://deb.debian.org/debian/pool/main/a/autoconf-archive/autoconf-archive_20160916-1_all.deb
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment